Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.TS.ExactFinalTime

class petsc4py.PETSc.TS.ExactFinalTime

  Bases: `object`

  The method for ending time stepping.

  Attributes Summary

  `INTERPOLATE` | Constant `INTERPOLATE` of type `int`
  `MATCHSTEP` | Constant `MATCHSTEP` of type `int`
  `STEPOVER` | Constant `STEPOVER` of type `int`
  `UNSPECIFIED` | Constant `UNSPECIFIED` of type `int`

  Attributes Documentation

  INTERPOLATE: int = INTERPOLATE

    Constant `INTERPOLATE` of type `int`

  MATCHSTEP: int = MATCHSTEP

    Constant `MATCHSTEP` of type `int`

  STEPOVER: int = STEPOVER

    Constant `STEPOVER` of type `int`

  UNSPECIFIED: int = UNSPECIFIED

    Constant `UNSPECIFIED` of type `int`